Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class HiddenConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.StringConfigOption
              net.hyperic.util.config.HiddenConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class HiddenConfigOption
extends StringConfigOption

See Also:
  Serialized Form

Constructor Summary
`HiddenConfigOption(java.lang.String optName, java.lang.String value)`

Methods inherited from class net.hyperic.util.config.StringConfigOption
`checkOptionIsValid, getMaxLength, getMinLength, getTransport, isHidden, isSecret, setHidden, setMaxLength, setMinLength, setSecret`

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HiddenConfigOption

    public HiddenConfigOption(java.lang.String optName,
                              java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.